import type { DataService } from 'mongodb-data-service';
import type AppRegistry from 'hadron-app-registry';
export type IndexesDataService = Pick<DataService, 'indexes' | 'isConnected' | 'updateCollection' | 'createIndex' | 'dropIndex'>;
export type ConfigureStoreOptions = {
    dataProvider: {
        dataProvider?: IndexesDataService;
    };
    namespace: string;
    localAppRegistry: AppRegistry;
    globalAppRegistry: AppRegistry;
    serverVersion: string;
    isReadonly: boolean;
    isSearchIndexesSupported: boolean;
};
declare const configureStore: (options: ConfigureStoreOptions) => import("redux").Store<import("redux").EmptyObject & {
    isWritable: boolean;
    isReadonlyView: boolean;
    description: any;
    appRegistry: unknown;
    dataService: IndexesDataService | null;
    serverVersion: string;
    namespace: string;
    regularIndexes: import("../modules/regular-indexes").State;
    searchIndexes: import("../modules/search-indexes").State;
}, import("redux").Action<any>> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, {}, import("redux").AnyAction>;
};
export default configureStore;
//# sourceMappingURL=store.d.ts.map